from setuptools import setup, find_packages
# Read the README file for the long description
with open("README.md", "r", encoding="utf-8") as fh:
    long_description = fh.read()

# Read the requirements.txt file for dependencies
with open("requirements.txt", "r", encoding="utf-8") as fh:
    requirements = fh.read().splitlines()

setup(
    name="data_improvement_library",  # Replace with your package name
    version="0.3.0",
    author="David Esteban Martínez",
    author_email="david.esteban.martinez@udc.es",
    description="A group of techniques and methods which can potentlially improve visual explainability models based on the Learning to Rank aproach",
    long_description=long_description,
    long_description_content_type="text/markdown",
    url="https://github.com/david-esteban-martinez/data_improvement_library",
    packages=find_packages(),
    install_requires=requirements,  # List dependencies here
    classifiers=[
        "Programming Language :: Python :: 3",
        "License :: OSI Approved :: MIT License",
        "Operating System :: OS Independent",
    ],
    python_requires=">=3.8",
)
